From: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Date: Fri, 7 Feb 2025 10:11:29 +0100
Subject: define-project-version

---
 CMakeLists.txt     | 2 +-
 src/CMakeLists.txt | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 13b7719..eefb151 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -22,7 +22,7 @@
 
 cmake_minimum_required(VERSION 3.22)
 
-project(BZRTP VERSION 5.3.0 LANGUAGES C CXX)
+project(BZRTP VERSION ${DEB_VERSION_UPSTREAM} LANGUAGES C CXX)
 
 option(ENABLE_ZIDCACHE "Turn on compilation of ZID cache, request sqlite" YES)
 option(ENABLE_STRICT "Build with strict compile options." YES)
diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 5dc4a91..debdaa8 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -42,7 +42,7 @@ bc_apply_compile_flags(BZRTP_CPP_SOURCE_FILES STRICT_OPTIONS_CPP STRICT_OPTIONS_
 set(BZRTP_SOURCE_FILES ${BZRTP_C_SOURCE_FILES} ${BZRTP_CXX_SOURCE_FILES})
 
 add_library(bzrtp ${BZRTP_SOURCE_FILES})
-set_target_properties(bzrtp PROPERTIES VERSION 0)
+set_target_properties(bzrtp PROPERTIES VERSION 1)
 target_include_directories(bzrtp PUBLIC
 	$<INSTALL_INTERFACE:include>
 	$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
